import { StackedBarSeries } from "./StackedBarSeries";
import { IStacked100Series } from "./IStacked100Series";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { CategorySeriesView } from "./CategorySeriesView";
import { StackedBarSeriesView } from "./StackedBarSeriesView";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
/**
 * @hidden
 */
export declare class Stacked100BarSeries extends StackedBarSeries implements IStacked100Series {
    static $t: Type;
    protected get_aa2(): boolean;
    protected jk(): number;
    constructor();
    ac(): void;
    protected cs(): SeriesView;
    ab7: Stacked100BarSeriesView;
    qz(a: SeriesView): void;
    aat(): CategorySeriesView;
    protected abj(): void;
    aa8(a: number, b: number): number;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class Stacked100BarSeriesView extends StackedBarSeriesView {
    static $t: Type;
    db: Stacked100BarSeries;
    constructor(a: Stacked100BarSeries);
    cx(): CategoryBucketCalculator;
    au(): void;
}
